> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single reference data source by dataset key



## OpenAPI

````yaml /openapi/reference-data.json get /reference-data/sources/{datasetKey}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /reference-data/sources/{datasetKey}:
    get:
      tags:
        - Reference Data
      summary: Retrieve a single reference data source by dataset key
      operationId: referenceData.getSource
      parameters:
        - name: datasetKey
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  datasetKey:
                    type: string
                  scope:
                    type: string
                  lastScrapedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  lastSuccessAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  recordCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  schemaVersion:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  contentHash:
                    anyOf:
                      - type: string
                      - type: 'null'
                  sourceUrl:
                    anyOf:
                      - type: string
                      - type: 'null'
                  label:
                    anyOf:
                      - type: string
                      - type: 'null'
                  tableName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  columns:
                    type: array
                    items:
                      type: object
                      properties:
                        source:
                          type: string
                        alias:
                          type: string
                        type:
                          type: string
                        label:
                          type: string
                        filterable:
                          type: boolean
                        sortable:
                          type: boolean
                      required:
                        - source
                        - alias
                        - type
                        - label
                  scrapeMetadata:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  currentSnapshotAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - datasetKey
                  - scope
                  - lastScrapedAt
                  - lastSuccessAt
                  - recordCount
                  - schemaVersion
                  - contentHash
                  - sourceUrl
                  - label
                  - tableName
                  - columns
                  - scrapeMetadata
                  - currentSnapshotAt
                  - createdAt
                  - updatedAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````